var rec00001_TitulosAReceber_Service = function (Rec00001_TitulosAReceber_Repository) {

    var BASE_URL = 'http://midiatest.teknisa.com/files/';

    this.getFileUrl = function(row) {
        return BASE_URL + row.DSARQCNABREC;
    };

    this.buscaFilial = function(){
        return Rec00001_TitulosAReceber_Repository.retornaUnidadeLogada();
    };

    this.buscaParamEstoque = function(){
        return Rec00001_TitulosAReceber_Repository.getDtprocessa();
    };

    this.buscaGeralRec = function(){
        return Rec00001_TitulosAReceber_Repository.buscaGeralRec();
    };

    this.buscaParExpedicao = function(cdfilial){
        return Rec00001_TitulosAReceber_Repository.buscaParExpedicao(cdfilial);
    };
    
    this.buscaPadraoSerieNF = function(cdfilial, cdfiliemit){
        return Rec00001_TitulosAReceber_Repository.buscaPadraoSerieNF(cdfilial, cdfiliemit);
    };

    this.buscaCliente = function(cdcliente){
        return Rec00001_TitulosAReceber_Repository.buscaCliente(cdcliente);
    };

    this.buscaEndefili = function(cdfilial, idtpendefili){
        return Rec00001_TitulosAReceber_Repository.buscaEndefili(cdfilial, idtpendefili);
    };

    this.buscaContOpeCtbl = function(cdempresa){
        return Rec00001_TitulosAReceber_Repository.buscaContOpeCtbl(cdempresa);
    };

    this.buscaParamfilialFilialEmprcntrfil = function(cdempresa, cdfilial){
        return Rec00001_TitulosAReceber_Repository.buscaParamfilialFilialEmprcntrfil(cdempresa, cdfilial);
    };

    this.buscaTipooperac = function(cdtipooper){
        return Rec00001_TitulosAReceber_Repository.buscaTipooperac(cdtipooper);
    };

    this.buscaSerienfFilial = function(cdempresa, cdfilial, cdserie){
        return Rec00001_TitulosAReceber_Repository.buscaSerienfFilial(cdempresa, cdfilial, cdserie);
    };

    this.buscaAjusteTitulo = function(cdfilial, nrlanbolrec){
        return Rec00001_TitulosAReceber_Repository.buscaAjusteTitulo(cdfilial, nrlanbolrec);
    };

    this.buscaContaReceber = function(cdfilial, nrlanctonf){
        return Rec00001_TitulosAReceber_Repository.buscaContaReceber(cdfilial, nrlanctonf);
    };

    this.geraNovoCodigo = function(currentRow){
        return Rec00001_TitulosAReceber_Repository.geraNovoCodigo(currentRow);
    };

    this.buscaCliente = function(cdcliente){
        return Rec00001_TitulosAReceber_Repository.buscaCliente(cdcliente);
    };

    this.buscaTipoctreceber = function(cdtpctreceb){
        return Rec00001_TitulosAReceber_Repository.buscaTipoctreceber(cdtpctreceb);
    };

    this.deletaVencTituloReceber = function(currentRow){
        return Rec00001_TitulosAReceber_Repository.deletaVencTituloReceber(currentRow);
    };

    this.atualizaTituloAReceber = function(currentRow){
        return Rec00001_TitulosAReceber_Repository.atualizaTituloAReceber(currentRow);
    };

    this.deletaDocTituloReceber = function(currentRow){
        return Rec00001_TitulosAReceber_Repository.deletaDocTituloReceber(currentRow);
    };

    this.geraCadastramentoAutomatico = function(currentRow){
        return Rec00001_TitulosAReceber_Repository.geraCadastramentoAutomatico(currentRow);
    };

    this.transformaPlanejadoTitulo = function(currentRow){
        return Rec00001_TitulosAReceber_Repository.transformaPlanejadoTitulo(currentRow);
    };

    this.transformaBoletoPlanejadoTitulo = function(currentRow){
        return Rec00001_TitulosAReceber_Repository.transformaBoletoPlanejadoTitulo(currentRow);
    };

    this.buscaEmpresa = function(cdempresa){
        return Rec00001_TitulosAReceber_Repository.buscaEmpresa(cdempresa);
    };

    this.getEmpresaLogada = function(cdfilial){
        return Rec00001_TitulosAReceber_Repository.getEmpresaLogada(cdfilial);
    };

    this.geraTituloAReceberDoc = function(dataSet){
        return Rec00001_TitulosAReceber_Repository.geraTituloAReceberDoc(dataSet);
    };
       
    this.saveAnexoDocGrid = function(currentRow){
        return Rec00001_TitulosAReceber_Repository.saveAnexoDocGrid(currentRow);
    };
    
    this.salvaAnexoGrid = function(currentRow){
        return Rec00001_TitulosAReceber_Repository.salvaAnexoGrid(currentRow);
    };
    
    this.deleteAnexoDocGrid = function(dataSet){
        return Rec00001_TitulosAReceber_Repository.deleteAnexoDocGrid(dataSet);
    };
    
    this.deleteAnexoGrid = function(dataSet){
        return Rec00001_TitulosAReceber_Repository.deleteAnexoGrid(dataSet);
    };
    
    this.deleteAnexoIncompletos = function(){
        return Rec00001_TitulosAReceber_Repository.deleteAnexoIncompletos();
    };

    this.getFileServerUrl = function(){
        return Rec00001_TitulosAReceber_Repository.getFileServerUrl();
    };
    
    this.salvaDocumentoBoleto = function(currentRow){
        return Rec00001_TitulosAReceber_Repository.salvaDocumentoBoleto(currentRow);
    };

    this.editarTituloAReceber = function(currentRow){
        return Rec00001_TitulosAReceber_Repository.editarTituloAReceber(currentRow);
    };

    this.deletaAjusteConta = function(currentRow){
        return Rec00001_TitulosAReceber_Repository.deletaAjusteConta(currentRow);
    };

    this.deletaAjusteConta = function(currentRow){
        return Rec00001_TitulosAReceber_Repository.deletaAjusteConta(currentRow);
    };

    this.deletaRateioConta = function(currentRow){
        return Rec00001_TitulosAReceber_Repository.deletaRateioConta(currentRow);
    };

    this.salvarAjusteBoleto = function(dataSet){
        return Rec00001_TitulosAReceber_Repository.salvarAjusteBoleto(dataSet);
    };

    this.finalizaParcelamentoTitulos = function(dataSet){
        return Rec00001_TitulosAReceber_Repository.finalizaParcelamentoTitulos(dataSet);
    };

    this.finalizaTipoRecebimento = function(dataSet){
        return Rec00001_TitulosAReceber_Repository.finalizaTipoRecebimento(dataSet);
    };

    this.baixaTituloReceber = function(currentRow){
        return Rec00001_TitulosAReceber_Repository.baixaTituloReceber(currentRow);
    };

    this.remessaTituloReceber = function(currentRow){
        return Rec00001_TitulosAReceber_Repository.remessaTituloReceber(currentRow);
    };

    this.excluiBaixaTituloReceber = function(currentRow){
        return Rec00001_TitulosAReceber_Repository.excluiBaixaTituloReceber(currentRow);
    };

    this.excluiBoletoBaixaTituloReceber = function(currentRow){
        return Rec00001_TitulosAReceber_Repository.excluiBoletoBaixaTituloReceber(currentRow);
    };

    this.excluiTituloRecRemessa = function(currentRow){
        return Rec00001_TitulosAReceber_Repository.excluiTituloRecRemessa(currentRow);
    };

    this.excluiRemessaRec = function(currentRow){
        return Rec00001_TitulosAReceber_Repository.excluiRemessaRec(currentRow);
    };

    this.deletaParcelamentoTitulos = function(dataSet){
        return Rec00001_TitulosAReceber_Repository.deletaParcelamentoTitulos(dataSet);
    };

    this.deletaTipoRecebimento = function(dataSet){
        return Rec00001_TitulosAReceber_Repository.deletaTipoRecebimento(dataSet);
    };

    this.confirmarAssociacaoTitulo = function(dataSet){
        return Rec00001_TitulosAReceber_Repository.confirmarAssociacaoTitulo(dataSet);
    };

    this.validaAssociarTituloAReceber = function(dataSet){
        return Rec00001_TitulosAReceber_Repository.validaAssociarTituloAReceber(dataSet);
    };

    this.validaProrrogarTituloAReceber = function(dataSet){
        return Rec00001_TitulosAReceber_Repository.validaProrrogarTituloAReceber(dataSet);
    };

    this.confirmarProrrogacaoTitulo = function(dataSet){
        return Rec00001_TitulosAReceber_Repository.confirmarProrrogacaoTitulo(dataSet);
    };

    this.emitirTituloAReceber = function(dataSet){
        return Rec00001_TitulosAReceber_Repository.emitirTituloAReceber(dataSet);
    };

    this.buscaEmprBanc = function(cdempresa, cdbanco){
        return Rec00001_TitulosAReceber_Repository.buscaEmprBanc(cdempresa, cdbanco);
    };

    this.buscaInstCobranca = function(cdbanco, cdinstcobr){
        return Rec00001_TitulosAReceber_Repository.buscaInstCobranca(cdbanco, cdinstcobr);
    };

    this.cancelaAssociarTituloAReceber = function(dataSet){
        return Rec00001_TitulosAReceber_Repository.cancelaAssociarTituloAReceber(dataSet);
    };

    this.cancelaEmissaoTituloAReceber = function(dataSet){
        return Rec00001_TitulosAReceber_Repository.cancelaEmissaoTituloAReceber(dataSet);
    };

    this.verificaCnabTituloAReceber = function(dataSet){
        return Rec00001_TitulosAReceber_Repository.verificaCnabTituloAReceber(dataSet);
    };

    this.finalizaRateioConta = function(dataSet){
        return Rec00001_TitulosAReceber_Repository.finalizaRateioConta(dataSet);
    };

    this.downloadRemessaReceber = function(currentRow){
        return Rec00001_TitulosAReceber_Repository.downloadRemessaReceber(currentRow);
    };
    
    this.existeParametros = function(){
        return Rec00001_TitulosAReceber_Repository.existeParametros();
    };
};
Configuration(function(ContextRegister){
    ContextRegister.register('Rec00001_TitulosAReceber_Service', rec00001_TitulosAReceber_Service);
});
